/*
 * Copyright 2017 by Kappich Systemberatung Aachen
 * 
 * This file is part of de.bsvrz.sys.funclib.kappich.
 * 
 * de.bsvrz.sys.funclib.kappich is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.sys.funclib.kappich is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with de.bsvrz.sys.funclib.kappich; If not, see <http://www.gnu.org/licenses/>.

 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436 
 * mail: <info@kappich.de>
 */

package de.bsvrz.sys.funclib.kappich.properties;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;

/**
 * Das Markieren einer Klasse mit dieser Annotation bewirkt, dass mit {@link PropertyName} markierte Fields und Methoden
 * von {@link ObjectProperties} erfasst werden und so z.B. in der Benutzeroberfläche als Objekteigenschaften angezeigt
 * werden. Über den optionalen Wert der Annotation kann ein Kategoriename für alle Eigenschaften der Klasse vorgegeben werden.
 *
 * @see PropertyHandler
 *
 * @author Kappich Systemberatung
 * @version $Revision: 0000 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Target(value={TYPE})
public @interface PropertyClass {
	String value() default "";
}
